Bug 1568046 - [RFE] Allow specifying which proxy to use on a per-repo basis
Summary: [RFE] Allow specifying which proxy to use on a per-repo basis
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.1
Hardware: All
OS: Linux
medium
low
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
: 1666151 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 16:23 UTC by Dylan Gross
Modified: 2020-04-14 13:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
You can now select an HTTP proxy policy for individual repositories. The proxy policy specifies whether to use no proxy, the globally configured proxy, or a specific proxy.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27214 0 Normal New http proxy conversion 2020-06-17 09:49:19 UTC
Red Hat Knowledge Base (Solution) 3413871 0 None None None 2018-04-16 16:36:58 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:23:14 UTC

Description Dylan Gross 2018-04-16 16:23:25 UTC
1. Proposed title of this feature request

   [RFE] - Allow specifying proxy to bypass or use on a per-repo basis


3. What is the nature and description of the request?

   Red Hat Satellite 6.3 saw the inclusion of a feature with BZ#1132980 which allows for a "Yes/No" setting for each repo which shows up as "Ignore Global HTTP Proxy".   

   One suggestion for making this more flexible is to allow for specifying the Proxy to use on a per-repo basis.


4. Why does the customer need this? (List the business requirements here)

   In the case where there are multiple proxies in the environment, this could allow for <n> different repos to sync through <n> different proxies.


5. How would the customer like to achieve this? (List the functional requirements here)

   Allowing a space for a "specified proxy" for each repo would likely accomplish this.   

   Having a global satellite setting for specifying a global proxy could still allow for a "Default proxy" to be set, which could then be overridden or nulled out (for bypass) to give the per-repo flexibility.
 

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully implemented.


  Have 2 different proxies set up for two different upstream or 3rd party repos.   Set up each repo to sync through different proxies.  Test by shutting down one proxy or the other without affecting the other's communication. 


7. Is there already an existing RFE upstream or in Red Hat bugzilla?

  No
 

8. Does the customer have any specific timeline dependencies?

  No

9. Is the sales team involved in this request and do they have any additional input?

  No

10. List any affected packages or components.

  Pulp
 

11. Would the customer be able to assist in testing this functionality if implemented?

  Yes

Comment 3 Bryan Kearney 2019-01-31 18:40:08 UTC
*** Bug 1666151 has been marked as a duplicate of this bug. ***

Comment 6 Bryan Kearney 2019-09-04 17:29:40 UTC
Connecting redmine issue https://projects.theforeman.org/issues/27214 from this bug

Comment 8 Brad Buckingham 2019-12-16 18:51:41 UTC
Moving to POST.  This feature was completed in the upstream; therefore, this is ready for QE.

Comment 10 vijsingh 2020-02-05 06:49:30 UTC
ON_QA Verified

@Satellite 6.7.0 snap 10

- Feature is working as expected on per repo basis to use proxy.

- Few small open issues are tracking here: https://bugzilla.redhat.com/show_bug.cgi?id=1774324

Comment 13 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.